> ## Documentation Index
> Fetch the complete documentation index at: https://api.livechatai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add pdf data-source to chatbot

> **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Add pdf data-source to chatbot



## OpenAPI

````yaml post /api/aibot/data-source/pdf
openapi: 3.0.1
info:
  title: LiveChatAi API Swagger
  description: >-
    Welcome to the developer hub for LiveChatAi. You'll find comprehensive
    guides and documentation to help you start working with LiveChatAi as
    quickly as possible. **NOTICE: All endpoints in this version are deprecated
    as of August 1st, 2025. Please migrate to v1 API endpoints.**
  version: '1.0'
servers:
  - url: https://app.livechatai.com/
security:
  - bearerAuth: []
paths:
  /api/aibot/data-source/pdf:
    post:
      tags:
        - Data Source
      summary: Add pdf data-source to chatbot
      description: >-
        **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025.
        Please use the v1 API endpoints instead. Add pdf data-source to chatbot
      requestBody:
        required: true
        description: PDF data-source details
        content:
          application/json:
            schema:
              type: object
              required:
                - title
                - content
                - chatbotId
              properties:
                title:
                  type: string
                  example: PDF Source Title
                  description: Title of the PDF data-source
                content:
                  type: array
                  items:
                    type: object
                    properties:
                      text:
                        type: string
                        example: PDF source content
                        description: Content of the PDF data-source
                      page:
                        type: number
                        example: 1
                        description: Page number of the PDF content
                  description: Array of objects containing PDF content and page numbers
                chatbotId:
                  type: string
                  example: c****************1cx4
                  description: Unique identifier of the chatbot
      responses:
        '200':
          description: PDF data-source added successfully
        '401':
          description: Unauthorized access
        '406':
          description: Character limit exceeded
        '500':
          description: Internal server error occurred
      deprecated: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````